libzypp 17.36.7

Classes | Namespaces | Functions
MediaCurl.h File Reference
`#include <zypp/base/Flags.h>`
`#include <zypp/ZYppCallbacks.h>`
`#include <zypp/media/MediaNetworkCommonHandler.h>`
`#include <curl/curl.h>`

Go to the source code of this file.

## Classes
class | zypp::media::MediaCurl
| Implementation class for FTP, HTTP and HTTPS MediaHandler. More...
class | zypp::media::MediaCurl::Callbacks

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Functions
| zypp::media::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (MediaCurl::RequestOptions)